package com.nisum.reactiveweb.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Document("products")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Product {
    @Id
    private String sku;

    @NotBlank(message = "product name can't be blank")
    private String name;

    @NotNull
    @Min(value = 0, message = "product price can't be negative")
    private BigDecimal price;
}
