package com.nisum.reactiveweb.repository;

import com.nisum.reactiveweb.model.Product;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface ProductRepository {
    Mono<Product> getProductBySku(String id);

    Flux<Product> getAllProducts();

    Mono<Product> saveProduct(Product product);

    Mono<Product> updateProduct(String sku, Product product);

    Mono<Long> removeProduct(String sku);

    Mono<Long> removeAllProducts();
}
